import {blue, orange, red} from '@mui/material/colors'
import {Theme} from '@mui/material'
import {ThemeOptions} from '@mui/material/styles/createTheme'

type DeepPartial<T> = {
  [P in keyof T]?: DeepPartial<T[P]>;
};

const Tab = {
  MuiTabs: {
    root: {
      minHeight: 0,
    }
  },
  MuiTab: {
    root: {
      textTransform: 'none',
      fontWeight: 600,
      minHeight: 40,
      minWidth: '80px !important',
    }
  }
}

export const muiTheme = (isDark: boolean): ThemeOptions => ({
  palette: {
    primary: blue,
    secondary: orange,
    error: red,
    mode: isDark ? 'dark' : 'light'
  },
  typography: {
    fontFamily: '"Open Sans", sans-serif',
    fontWeightMedium: 600,
  },
  // text: {
    // primary: '#202124',
    // secondary: isDark ? '#d4d8de' : '#5f6368',
  // },
})
