import * as React from 'react'
import classNames from 'classnames'
import { Theme } from '@mui/material';

import createStyles from '@mui/styles/createStyles';
import makeStyles from '@mui/styles/makeStyles';

const useStyles = makeStyles((t: Theme) => createStyles({
  root: {
    color: t.palette.primary.main,
    textDecoration: 'underline',
  }
}))

export const A = ({children, className, ...props}: any) => {
  const css = useStyles()
  return (
    <a {...props} className={classNames(className, css.root)}>{children}</a>
  )
}
