import * as React from 'react'
import {ReactNode} from 'react'
import { Theme } from '@mui/material';
import createStyles from '@mui/styles/createStyles';
import makeStyles from '@mui/styles/makeStyles';

const useStyles = makeStyles((t: Theme) => createStyles({
  root: {
    paddingLeft: t.spacing(2),
    paddingRight: t.spacing(2),
    [t.breakpoints.up('sm')]: {
      paddingLeft: t.spacing(3),
      paddingRight: t.spacing(3),
    },
    paddingTop: t.spacing(2),
    paddingBottom: t.spacing(2),
    '&:last-child': {
      paddingBottom: t.spacing(3),
    },
  },
}))


export interface PanelBodyProps {
  children?: ReactNode;
  className?: string;
}


export const PanelBody = ({children, className}: PanelBodyProps) => {
  const classes = useStyles()
  return (
    <div className={`${classes.root} ${className || ''}`}>
      {children}
    </div>
  )
}
