import { Slide, Theme } from '@mui/material';
import createStyles from '@mui/styles/createStyles';
import * as React from 'react'
import {Header, headerHeight} from '../Header/Header'
import {useLayoutContext} from '../LayoutContext'
import makeStyles from '@mui/styles/makeStyles';

const useStyles = makeStyles((t: Theme) => createStyles({
  header: {
    position: 'fixed',
    top: 0,
    left: 0,
    right: 0,
    zIndex: 10,
    boxShadow: t.shadows[3],
  },
  mock: {
    height: headerHeight,
  },
}))

export const MobileHeader = () => {
  const classes = useStyles()
  const {isMobileWidth} = useLayoutContext()
  return (
    <Slide direction="down" in={isMobileWidth} mountOnEnter unmountOnExit>
      <>
        <div className={classes.mock}/>
        <Header className={classes.header}/>
      </>
    </Slide>
  )
}
