import * as React from 'react'
import {ReactNode} from 'react'
import { Theme, Typography } from '@mui/material';
import createStyles from '@mui/styles/createStyles';
import makeStyles from '@mui/styles/makeStyles';

const useStyles = makeStyles((t: Theme) => createStyles({
  root: {
    fontWeight: t.typography.fontWeightMedium,
    textTransform: 'uppercase',
    letterSpacing: 1,
    color: t.palette.text.disabled,
    marginBottom: t.spacing(2),
  }
}))

export interface SidebarTitleProps {
  children: ReactNode
}

export const SidebarTitle = ({children}: SidebarTitleProps) => {
  const classes = useStyles()
  return (
    <Typography variant="caption" noWrap className={classes.root}>{children}</Typography>
  )
}
